#
# spec file for package mozilla-ja (Version 1.7.7)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# neededforbuild  mozilla

BuildRequires:  aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool mozilla perl rpm

Name:           mozilla-ja
License:        MPL
Group:          Productivity/Networking/Web/Browsers
Version:        1.7.7
Release:        0.7
PreReq:         mozilla >= %{version}, mozilla < 1.8
Autoreqprov:    on
# http://www.mozilla.org/projects/l10n/mlp_status.html
URL:            http://www.mozilla.gr.jp/jlp/
#Source0:      http://core.ring.gr.jp/archives/net/www/mozilla/mozilla/l10n/lang/moz1.6/langjajp.xpi
Source0:        http://ftp.mozilla.org/pub/mozilla.org/mozilla/l10n/lang/moz1.77/mozilla-1.7.7.ja-JP.langpack.xpi
Source1:        mozilla-ja-chrome
Source2:        locale-ja
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Japanese Language Pack for Mozilla

%description
The Japanese Language Pack for Mozilla adds Japanese translatons and a
regional content pack to Mozilla.



Authors:
--------
    Japanese translation team <moz-jlp@mozilla.gr.jp>

%define prefix   /opt/mozilla
%prep
%setup -q -n %{name} -c %{name}
cd $RPM_BUILD_DIR
unzip -o $RPM_SOURCE_DIR/mozilla-1.7.7.ja-JP.langpack.xpi

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%prefix/%_lib/
cp -r bin/* $RPM_BUILD_ROOT/%prefix/%_lib/
cp -r sp/ $RPM_BUILD_ROOT/%prefix/%_lib/searchplugins
mkdir -p $RPM_BUILD_ROOT/%prefix/installed-chrome.d
cp $RPM_SOURCE_DIR/mozilla-ja-chrome $RPM_BUILD_ROOT/%prefix/installed-chrome.d/mozilla-ja
mkdir -p $RPM_BUILD_ROOT/%prefix/installed-chrome.d/locales
cp $RPM_SOURCE_DIR/locale-ja  $RPM_BUILD_ROOT/%prefix/installed-chrome.d/locales/ja

%pre
/opt/mozilla/bin/rebuild-databases.sh --pre

%post
/opt/mozilla/bin/rebuild-databases.sh --post

%preun
[ -e /opt/mozilla/bin/rebuild-databases.sh ] && \
  /opt/mozilla/bin/rebuild-databases.sh --pre || :

%postun
[ -e /opt/mozilla/bin/rebuild-databases.sh ] && \
  /opt/mozilla/bin/rebuild-databases.sh --post || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc LICENSE
%{prefix}/%_lib/*
%exclude %{prefix}/%_lib/chrome/ja-mac.jar
%exclude %{prefix}/%_lib/chrome/ja-win.jar
%prefix/installed-chrome.d/mozilla-ja
%prefix/installed-chrome.d/locales/ja

%changelog -n mozilla-ja
* Thu Jul 07 2005 - stark@suse.de
- update to version 1.7.7
- made uninstall scripts more robust
- don't package other platform's chromes
* Fri Jan 14 2005 - ro@suse.de
- fic typo in specfile
* Tue Sep 28 2004 - mfabian@suse.de
- Bugzilla #42312: updated langpack installation.
* Fri Sep 03 2004 - mfabian@suse.de
- update to 1.7.2.
* Fri Aug 20 2004 - ro@suse.de
- fix prereq version
* Thu Aug 19 2004 - sbrabec@suse.cz
- Fixed Prereq (#43990).
* Wed Mar 03 2004 - mfabian@suse.de
- new package, version 1.6.
